Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 16 Jul 2010 17:58:27 +0900

>>>>> On Fri, 16 Jul 2010 10:49:01 +0200, Jan Djärv <[email-masked]> said:

> That depends on your window manager.  If I do the same command, I get 'top 
> equal to 124, as the title bar is 24 pixels high and the window
> manager (Compiz) puts the top of the title bar at 100.  Other window
> managers may choose to put the Emacs window at 100 and the title bar
> above that.  It isn't defined what a window manager should do.

I also checked that CDE's window manager behaves like Mac OS X's,
i.e., left/top frame parameters points to the title bar.

You mean one can specify the position of the top-left corner of the
title bar with the geometry specification, but that cannot reliably be
done with left/top frame parameters?

				     YAMAMOTO Mitsuharu
				[email-masked]